Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixCuDNNRnnAlgorithm

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixCuDNNRnnAlgorithm

All Implemented Interfaces:
  `AutoCloseable`

public class LibMatrixCuDNNRnnAlgorithm extends Object implements AutoCloseable

## Constructor Summary

Constructors
Constructor
Description
`LibMatrixCuDNNRnnAlgorithm(ExecutionContext ec, GPUContext gCtx, String instName, String rnnMode, int N, int T, int M, int D, boolean isTraining, jcuda.Pointer w)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibMatrixCuDNNRnnAlgorithm

public LibMatrixCuDNNRnnAlgorithm(ExecutionContext ec, GPUContext gCtx, String instName, String rnnMode, int N, int T, int M, int D, boolean isTraining, jcuda.Pointer w) throws DMLRuntimeException

Throws:
  `DMLRuntimeException`

## Method Details

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`